Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetReason

Gets the success/failure status of the last line search application

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetReason(SNESLineSearch linesearch, SNESLineSearchReason *reason)

## Input Parameter

- linesearch - the line search context

## Output Parameter

- reason - The success or failure status

## Note

This is typically called after `SNESLineSearchApply()` in order to determine if the line search failed (and set into the `SNES` convergence accordingly).

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchSetReason()`, `SNESLineSearchReason`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages